Bug 1279949 - undefined variables was print if there isn't available disk space
undefined variables was print if there isn't available disk space
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:02 EST by Anping Li
Modified: 2016-10-28 09:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.7-1.git.171.825ef4c
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 09:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2015-11-10 10:02:50 EST
Description of problem:
if there isn't available disk space to backup etcd database. upgrade will report undefined variable.
 
Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.7-1.git.156.70ed54c.el7aos.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:

TASK: [Check available disk space for etcd backup] ****************************
changed: [10.14.6.120]

TASK: [Check current embedded etcd disk usage] ********************************
fatal: [10.14.6.120] => One or more undefined variables: 'dict object' has no attribute 'etcd_data_dir'

FATAL: all hosts have already failed -- aborting


Expected results:
Upgrade should print meaningful messages as design.

Additional info:
Comment 2 Devan Goodwin 2015-11-11 08:20:01 EST
I don't think this is related to not having enough disk space rather just a plain bug we hit yesterday. It should be fixed in last nights build.

http://buildvm-devops.usersys.redhat.com/puddle/build/AtomicOpenShift/3.1/latest/RH7-RHAOS-3.1/
Comment 3 Anping Li 2015-11-11 21:43:45 EST
The feature works well on openshift-ansible-3.0.12-1. so move bug to verified.

TASK: [Abort if insufficient disk space for etcd backup] ********************** 
failed: [10.14.6.120] => {"failed": true}
msg: 20871084 Kb disk space required for etcd backup, 3833912 Kb available.

FATAL: all hosts have already failed -- aborting

Note You need to log in before you can comment on or make changes to this bug.